Bug 3595 - Items seen at checkin should always go to 1st priority hold
Summary: Items seen at checkin should always go to 1st priority hold
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Target Milestone: ---
Assignee: Galen Charlton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-09 04:29 UTC by Liz Rea
Modified: 2013-12-05 20:05 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (partial fix) (2.15 KB, patch)
2011-03-04 16:32 UTC, D Ruth Bavousett
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:12:40 UTC


---- Reported by wizzyrea@gmail.com 2009-09-09 16:29:13 ----

For full discussion, see: http://stats.workbuffer.org/irclog/koha/2009-09-09#i_299913

Item 1 has 3 items. Patron A has a hold on item 1, Next available. She is first on the list. Library A gets pick list, has item 1a on the list. They ignore it. Patron B places a hold on item 1, next available. Item 1b crosses a scanner gun at library B, item 1b goes to fill hold for Patron B (who is 2nd in line). 

So to summarize, if an item is on the holds queue report, it will be treated as already allocated for the top person on the holds list. Any other copies scanned will then go to the next person on the hold list. This is incorrect behavior.

The pick list (hold queue) should only be a suggestion to the librarians to go grab the book, and should not affect behavior.

Other things to watch for when fixing this:

- items on the holds queue that are crossing the scanner gun may be going to fill holds that have already been filled (especially for popular items). Processing the item should initiate a transfer for the next first available patron in the queue for that bib (and that may not necessarily be the patron for whom the item was initially picked)

- There needs to be some sort of message alerting librarians to the fact that "this hold has already been filled, put this item back on the shelf," should there be no other holds and the hold has been filled in the interim between generation and processing of the pick list.



---- Additional Comments From wizzyrea@gmail.com 2009-09-09 16:34:01 ----

Local hold items also need to be addressed here, if a local hold item crosses a scanner gun it should go to the first patron that qualifies for that item (usually a patron of the holding library).



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:12 UTC  ---

This bug was previously known as _bug_ 3595 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3595

Actual time not defined. Setting to 0.0

Comment 1 D Ruth Bavousett 2011-03-04 16:32:48 UTC
Created attachment 3249 [details] [review]
Proposed patch (partial fix)
Comment 2 Chris Cormack 2011-03-16 08:00:32 UTC
Partial patch pushed, if it works please resent patch sent back and leave it for the follow up patch
Comment 3 MJ Ray (software.coop) 2011-04-03 23:19:37 UTC
This bug is mentioned in:
Bug 3595 (partial): Items seen	at checkin are not filling holds well http://lists.koha-community.org/pipermail/koha-patches/2011-March/013990.html
Comment 4 Jared Camins-Esakov 2012-12-31 00:28:28 UTC
There have been no further reports of problems so I am marking this bug resolved.